GDB (xrefs)

Public Attributes | List of all members
observer_list Struct Reference

## Public Attributes
struct observer_list * | next
struct observer * | observer

## Detailed Description

Definition at line 80 of file observer.c.

## Member Data Documentation

## ◆ next

struct observer_list* observer_list::next

Definition at line 82 of file observer.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), generic_observer_attach(), generic_observer_detach(), and generic_observer_notify().

## ◆ observer

struct observer* observer_list::observer

Definition at line 83 of file observer.c.

Referenced by generic_observer_attach(), generic_observer_detach(), generic_observer_notify(), xalloc_observer_list_node(), and xfree_observer_list_node().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/observer.c